import type { RenovateConfig } from '../types';
export declare type Preset = RenovateConfig & Record<string, unknown>;
export declare type PresetConfig = {
    packageName: string;
    presetPath?: string;
    presetName?: string;
    baseConfig?: RenovateConfig;
};
export interface PresetApi {
    getPreset(config: PresetConfig): Promise<Preset> | Preset;
}
