import type { GetReleasesConfig, ReleaseResult } from '../types';
export declare const id = "repology";
export declare const customRegistrySupport = true;
export declare const defaultRegistryUrls: string[];
export declare const registryStrategy = "hunt";
export declare type RepologyPackageType = 'binname' | 'srcname';
export interface RepologyPackage {
    repo: string;
    visiblename: string;
    version: string;
    srcname?: string;
    binname?: string;
    origversion?: string;
}
export declare function getReleases({ lookupName, registryUrl, }: GetReleasesConfig): Promise<ReleaseResult | null>;
