/// <reference types="node" />
import type { PostUpdateConfig, Upgrade } from '../../types';
export interface GenerateLockFileResult {
    error?: boolean;
    lockFile?: string;
    stderr?: string;
}
export declare function checkYarnrc(cwd: string): Promise<{
    offlineMirror: boolean;
    yarnPath: string | null;
}>;
export declare function getOptimizeCommand(fileName?: string): string;
export declare function generateLockFile(cwd: string, env: NodeJS.ProcessEnv, config?: PostUpdateConfig, upgrades?: Upgrade[]): Promise<GenerateLockFileResult>;
