"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getControls = void 0;
const node_emoji_1 = require("node-emoji");
const git_1 = require("../../../util/git");
async function getControls(config) {
    const warning = (await git_1.isBranchModified(config.branchName))
        ? node_emoji_1.emojify(' :warning: **Warning**: custom changes will be lost.')
        : '';
    return `\n\n---\n\n - [ ] <!-- rebase-check -->If you want to rebase/retry this PR, check this box.${warning}\n\n`;
}
exports.getControls = getControls;
//# sourceMappingURL=controls.js.map