"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getReleases = void 0;
const is_1 = __importDefault(require("@sindresorhus/is"));
const get_1 = require("./get");
const npmrc_1 = require("./npmrc");
async function getReleases({ lookupName, npmrc, }) {
    if (is_1.default.string(npmrc)) {
        npmrc_1.setNpmrc(npmrc);
    }
    const res = await get_1.getDependency(lookupName);
    if (res) {
        res.tags = res['dist-tags'];
        delete res['dist-tags'];
    }
    return res;
}
exports.getReleases = getReleases;
//# sourceMappingURL=releases.js.map