import type { GetReleasesConfig, ReleaseResult } from '../types';
export declare const id = "orb";
export declare const defaultRegistryUrls: string[];
export declare const customRegistrySupport = false;
/**
 * orb.getReleases
 *
 * This function will fetch an orb from CircleCI and return all semver versions.
 */
export declare function getReleases({ lookupName, registryUrl, }: GetReleasesConfig): Promise<ReleaseResult | null>;
